# Nmap network security scanner man page (Russian translation)

    NMAP(1)                                                                NMAP(1)

## nmap - `NN N .

## .B nmap

           [( NN] [] < #1,[#N]>

           Nmap   ^ NN ,  N ` ®  .I nmap  NN,  UDP, TCP connect(), TCP SYN (), FTP
           proxy ( ftp), Reverse-ident, ICMP (ping),  FIN,  ACK,  Xmas  tree,  SYN
           NULL- NN.    N .I   NN.  Nmap   , `: C (-  L ` `TCP/IP, " NN,     NN, K
           ping-, NN   ,,  (portmapper) RPC-NN, NN  IP-GC `ZN IP-D N

            Nmap   NNL ZN l``N ,  . "", " ".  "" , L . " , ,Nmap     "" ,  NN Nmap
           ,      Nmap   NmapE (  N `.

            ZNÉ Nmap N z É TCP ISN,  (username) D`, W N,  l NIP-D

## OPTIONS

            ÉT .  É^NN,  Z@ T  NN.  nmap E  ZN É

              ,  Nmap n nmap -h T  É.

           NN.

           -sT    TTCP connect(). NN TCP-.  connect(), QT  L. ZN R`   N  connect()
                  ( , E ZN  ,    N  .

                   ,  N  NN Å( N , log- TN    C. ,     D, W .

           -sS     TCP SYN.   "" NN   TCP-N  E Nmap  SYN- , E G SYN|ACK  ZE ,    L
                  .  RST   .  Nmap  SYN|ACK,   W RST-    (LC  .NN.   T rootN SYN-.

                      NNÉ -sS    K H N  É-p. TÉ-PS <>.

           -sF -sX -sN
                  "" FIN, Xmas Tree NULL-NN.E,  SYN-NN   M ZL   "@ SYN-       Syn-
                  logger Courtney  SYN-NN.

                     E N-NN  `  FIN- as Tree  G FIN|URG|PSH, `NULL-NN  G.  S C RFC
                  973  64, N `     , RST,     .  B Microsoft Windows, ,   N  `Win-
                  dows          RST-     K  Nmap C , FIN-NN ,   Windows.   `SYN-NN
                  Windows.  L, Windows  Q  Q  TK Cisco, BSDI, IRIX, HP/UX MVS.   W
                  RST-.

           -sP    Ping-" N  N". `   D K  N. Nmap TW ICMP-" b   IP-DZN.  W   K.   (
                  microsoft.com) .  Nmap  TCP ACK- 80-N `( ).  RST-  K   SYN-E RST
                  SYN|ACK.      T root,connect().

                   root-Nmap` - ICMP ACK.   É -P N.

                  , ping-NNE  K  NN.   É E, ping-  NN .

           -sU    TUDP-UDP-(RFC 768)  N  N W UDP-.    ICMP-" ", ,  . E , N .

                        @  N N UDP- .   E  ""  rpcbind Solaris.    N UDP-   32770.
                  111-

                  L, NN UDP-  , KC RFC 1812 ( 4.3.2.8) ICMP-" ".          Linux  (
                  net/ipv4/icmp.h)   80  4  0,25   Solaris(2 , NN Solaris  .  nmap
                  E  , ]Q ,  Å

                    , Microsoft `Ll

                    65535 UDP- l
                   Windows.

           -sO    N  IP.IP-,  N.   E IP-- ``N n  " ",   . E Nmap ,   .

                   (AIX, HP-UX, Digital UNIX) T " ".  N" ( ). N`` NN UDP-,       É
                  ICMP-  K "b IP-`  8  256 NN

           -sI <zombie_[:]>
                  N "".  BNN .   Å,     IP-D.    IdleScan,   -".   B   NN     `IP.
                  m".

                    Å   ", Å "",   .    C    Å"Rb.  ZT   IPID  ".  E Nmap  `  "tcp
                  ping".

                     T N, D http://www.cherepovets-city.ru/insecure/runmap/runmap-
                  idlescan.htm.

           -sA    TACK-NN. W (ruleset) n   N ,  SYN-.

                     N `W ACK- ( J ^  acknowledgement  number   sequence  number).
                  RST-  SÉ ".    L( ICMP-i,  SÉ ". , nmap   "      ` NN, , . ]E N,
                  `  `"" NN.

           -sW    TTCP Window.   ACK-NN,  , ,T  ^  Initial Window TCP-,   N,     C
                  J AIX, Amiga, BeOS, BSDI, Cray, Tru64 UNIX, DG/UX, OpenVMS, Dig-
                  ital UNIX, FreeBSD, HP-UX, OS/2, IRIX, MacOS,  NetBSD,  OpenBSD,
                  OpenStep,  QNX, Rhapsody, SunOS 4.X, Ultrix, VAX VxWorks.   C  R
                  nmap-hackers.

           -sR     RPC-NN. NNERPC-,  . TCP/UDP-`NULL-M SunRPC,   RPC-          C ,
                  ’rpcinfo -p’, portmapper N `  TCP-wrapper’.

           -sL      ND É  D, NN Nmap,    NN. N`,   É-n.    E, ``     D

           -b <ftp relay host>
                     TK" FTP". "" `FTP (RFC 959)  `"" (proxy) ftp-.  M `source.com
                  ftp- target.com W,    DInternet! , Q  1985  (` RFC).  Nmap  "" N
                  N  " ftp-n     ftp-"  N ( 139-. ftp-  ( /incoming), W

                   ZE’-b’, W URL `ftp,  ". URL :@:.
                    `ZTT  ZT

           .      É T (  LQ  Nmap  ZN),

           -P0     ping-   NNÉ , ICMP-` .    microsoft.com,   É’-P0’’-PT80’(. ), `
                  N .

           -PT [_]
                   TCP "ping".  `ICMP-l Nmap W TCP ACK- N E K    RST-  -root     É
                  connect().   É     N l   ` ICMP-``.  ZN  `Nl  W ACK-  É -PT<1>[,
                  2][...]. N  80-,  K`

           -PS [_]
                  , Q ping-.  ACK- TCP "ping"  SYN- RST- ( - SYN|ACK).

           -PU [_]
                  TUDP Ping. Nmap W UDP-  ZN EICMP "port unreachable" (  UDP)   K¬
                  UDP,

           -PE    É  ping-`L ping-( ICMP-i.  K  `D  ICMP- M.   W  W "" .

           -PP    ICMP "timestamp request (code 13)" K .

           -PM    `É.B -PE -PP  ,  "netmask request" (ICMP code 17).

           -PB    ping-  .   ACK ( -PT ) ICMP ( -PE ).

           -O      É C N `  `TCP/IP.  M Nmap K L, É  NL`    NN LN",  N " `    WN N
                  nmap-os-fingerprinting,  E N n

                  ` Å   ,  Nmap     - D. ,   M TD W Nmap É ’-d’

           -6      E`IPv6.  IPv6  É      ZN      L   DNS  (    AAAA)          IP-D
                  3ffe:501:4819:2000:210:f3ff:fe03:4d0.    ,  TCP connect()-NN TCP
                  connect() Ping-NN.   UDP  NN, http://nmap6.sourceforge.net/

           -I     Treverse-ident NN.  Ident (RFC 1413)  (username) , TCP,     .  ,
                  http   identd   root.  N " TCP-  N (   É’-sT’). Nmap  identd N `
                  . ,   ,   Å identd.

           -f     É SYN, FIN, Xmas NULL-NNZE IP-GC G. E TCP-  G ( i  n  ""   IP- G
                  TCP-

                  ^C  , Nmap   .   É!  ""TG  , " Z 36- Gn   24-G.

           -v     T" ". É Q  Nmap   C.`ZT V. `  VÉ -d     .

           -h       Nmap ZNÉT  N,  Q

           -oN <~ E NN ZN

           -oX <  ~ E NN , ZN Rl T XML M  Nmap’n  R ’-’ (   stdout.   E . Document
                  Type Definition (DTD)  Nmap TXML
                   http://www.insecure.org/nmap/data/nmap.dtd .

           -oG <~ E NN , ZN Rl T   grep. T,   .   É-oM (.  ) I MS   XML.  R`’-’.

           -oA <_~
                  E    TH (L, grep XML).   ZT base.nmap, base.gnmap base.xml.

           -oS <~  J.B s|<ipT kiDd|3: thIs l0gz th3 r3suLtS of  YouR  ScanZ  iN  a
                  s|<ipT kiDd|3 f0rM iNto THe fiL3 U sPecfy 4s an arGuMEnT!  U kAn
                  gIv3 the 4rgument ’-’ (wItHOUt qUOteZ) to sh00t output iNT0 stD-
                  ouT!@!!

           --resume <~
                    NN   C <Ctrl C>,      É,NN   É’-oG’ ’-oN’.   E Nmap ZN ÉlS N.É
                  ZT  NN  É ZN N. Nmap NN D,   ".

           --append_output
                  ENmap   NN ,,

           -iL <~ EN Å   nT   IP-D MKMÉC<CR><LF> (  - ).     StdIn  `C H, V ` ’-’.
                  CTH "Å b.

           -iR <>  VÉ, Nmap NTJ N  D   JÅ     .TN Internet.

           -p <PZ(_>
                  ÉZENmap,  .   ’-p 23’  NN 23 ` Å.  ZN ’-p 20-30,139,60000-’ Nmap
                  NT 20  30 , 139 60000  ( 65535). N Nmap NPZ 1-1024, services.

           -F      NN. ENmap  NN ¬ services. N    Nmap NL 65535 .

           -D <_1,[_2],[,ME],...>
                    Nmap "E   DZ@ R.N `ENN  ( IP-D),  LIP-D.

                  ` K  ZT IP-D

                  (R ’ME’)    .  R ’ME’   É,N-(, scanlogd W`Solar Designer’i IP-D.
                  ZL R  ’ME’, Nmap   JÉ.   ZT`    IP-D ,  ZN,  L ÉT E   "" N SYN-.
                  l É     V

                  , N- NN.  N. CE,   ZL `D`’localhost’.  KÉ.

                   NN, ` C   ZL ,  NN E.  J T  (    ,  E  E .

           -S <IP-D
                  Nmap   W IP-D ` (  , ZTIP-D  R`  É( D,   ).    É- N NN Å ` .   E
                  N `ENN ZN  D.

           -e <   ZENmap,/    ZE R`É Nmap     M    T

           -g <~  ZE` , Nmap NN. DNS ( 53) FTP-DATA ( 20).  ", TK   W 53-20-.

           --data_length <
                  Nmap   ] TCP-40 , `ICMP "echo requests" - 28. É(ZN. W É

           -n       ZTD   DNS-DE NN.

           -R      ZTD   DNS-D

           -r     W  N J

           -ttl <^>
                  E TTL W IPv4  ^.

           --randomize_hosts
                  ENmap  JN  2048    NNÉ NN lÉ  @NN.

           -M <_  EL TCP connect() NN. ` ^NN,  ]E" N n  Å  É’-sS’, SYN-NN " CM

           --packet_trace
                   E  TTCPDump.

           --datadir [
                    Nmap E   nmap-services, nmap-protocols, nmap-rpc, nmap-os-fin-
                  gerprints.  Nmap --nmapdir.   Q       NMAPDIR,        ~/nmap,  `
                  /usr/share/nmap .  Nmap   .     .

                  Nmap WE N.  , -,  L NN, -,  .  I WQ `,, É

           -T <Paranoid|Sneaky|Polite|Normal|Aggressive|Insane>
                  `ÉENN.ZE Rn Paranoid  E, ` N-. NN  .  NN .  Nmap  NN TL   5   .B
                  Sneaky  Paranoid. `E L  W 15 . .B Polite  E, ` "" N n  TL    0,4
                  Normal      Nmap  .   NNL,.  Aggressive E NN  l  5 , N     E1,25
                  Insane  NNNN  `W 75 , `N - 0,3

                        ZT N .  É’-T0’ Paranoid, `’-T5’ - Insane. C . , É’-T’ Nmap
                  ,    É (  .

           --host_timeout <
                  E Nmap   NN  l     IP-D. N  Nmap   DNN .

           --max_rtt_timeout <
                  EN Ll Nmap E N, T N ^  9000

           --min_rtt_timeout <
                  N    N, Nmap Z NN,    ,   . ÉEÀ NN ,  Nmap E TZN     ,

           --initial_rtt_timeout <
                  E  . É  NN ,, É ’-P0’. Nmap W ^ nW 6000

           --max_parallelism <>
                  EL   NN,  Nmap. `` 1 , Nmap ` NT `

           --min_parallelism <>
                  E  NN,  Nmap. E

           --scan_delay <
                  E MÉ NN.

           ÉR, Nmap
                  D  Å `( l NN).     N - ZTD ZN ÉR. IP-D  ZT ’/mask’ ("b) IP-D N n
                  T^:

                  Nmap ZTÅIP-D, PZ . S B D128.210.*.*.              :  128.210.*.*
                  128.210.0-255.0-255            128.210.1-50,51-255.1,2,3,4,5-255
                  128.210.0.0/16  . ,   " (’*’), ""  PM   .     ZL       Å    IP-D
                  ’*.*.5.6-7’, Nmap NIP-D, N  5.6  5.7.     Nmap .

            Nmap`ZN .

           nmap -v target.example.com

           TNTCP- target.example.com.   ’-v’NN.

           nmap -sS -O target.example.com/24

            SYN-NN  255 D S C,  target.example.com.  , N.  T root.

           nmap -sX -p 22,53,110,143,4564 198.116.*.1-127

              Xmas-NN   D(0-127) 255  S B DN 128.210.*.*.  H sshd (22 ), DNS (53),
           pop3d (110), imapd (143) `4564. ]EN, Xmas-NN    Windows,  CISCO,  IRIX,
           HP/UX BSDI.

           nmap -v --randomize_hosts -p 80 ’*.*.2.3-5’

           Nmap  , IP-DN  .2.3,  , ZW É’-sS’. J  D   127.  ZT’127-222’.   T

           host -l company.com | cut ’-d ’ -f 4 | ./nmap -v -iL -

            DNS   company.com, Nmap  D.  `GNU/Linux.    `^

       ,
            ,   -  WC. W   Nmap. `URL, `

           Q : Nmap 3.release by Fyodor <fyodor@insecure.org>

           : RuNmap 3.  <alex@cherepovets-city.ru>

            Nmap RuNmap     D

           http://www.cherepovets-city.ru/insecure

           http://www.insecure.org/

           nmap (C) 1995-2003 by Insecure.Com LLC

           `l  N GNU General Public License,  Free Software Foundation;  2.   WÉÅ,
           Å (sales@insecure.com).

           ÅN,   (GNU GPL), ,   [,  .

             GE  WT E` , `.  , N

               NmapT W Dalex@cherepovets-city.ru  ,  Insecure.Org  W ÉÅNS GNU GPL.
           E      .

            `  W , `   ,   , ` ,  .   GNU General Public License ( COPYING nmap ).

             Nmap,  TCP/IP,  C.  Nmap N, ( @¬  àNmap.     GE ì

            `Nmap   T ( suid root).

           ` Libpcap  Nmap. W Wz Van Jacobson, Craig Leres Steven McCanne,Lawrence
           Berkley  ,   , Q Nmap,  É.    D http://www.tcpdump.org .

           W D: alex@cherepovets-city.ru

                                                                           NMAP(1)